Subject: Re: bug#25830: 25.2; ispell doesn't parse hunspell dictionaries properly

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Feb 2017 19:23:08 +0200

> Date: Tue, 21 Feb 2017 10:18:57 +0100
> From: Martin Kletzander <[email-masked]>
> 
> I have hunspell installed in the system with two default dictionaries.

Please tell more details about the meaning of this.  Do you mean you
wanted to start Hunspell with 2 dictionaries so that it could
spell-check text that mixes 2 different languages?  Or did you mean
something else?  IOW, the "with two default dictionaries" part
confuses me.

> I was trying to setup ispell so that it works properly and I couldn't.
> So I started looking at the sources for ispell and I found one part that
> can't work.  It may be intentional, but the real problem is that I can't
> use spellchecker at all.  When `emacs -Q` is ran, it is enough to do M-$
> with *no additinal settings*.  The error message (and following messages
> for consecutive M-$) are visible below in 'Recent messages'.
> 
> I could only trace the problem to the ispell.el where the error is
> printed.  The reason for that is probably the fact that `hunspell -D`
> has this output on my system:

I don't immediately see anything wrong here.  Does spell-checking work
if you set it up to use just one default dictionary, as usual?

Thanks.